﻿using Syncfusion.Windows.Forms.Grid;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BindingArrayList
{
    public class MyControlCellRender : GridGenericControlCellRenderer
    {
        MyControl control = new MyControl();

        public MyControlCellRender(GridControlBase grid, GridCellModelBase cellModel)
            : base(grid, cellModel)
		{
            SetControl(control);
 		}

 		protected override void Dispose(bool disposing)
		{
			if (disposing)
			{
                control.Dispose();
                control = null;
			}
			base.Dispose (disposing);
		}
           
        protected override void OnDraw(Graphics g, Rectangle clientRectangle, int rowIndex, int colIndex, GridStyleInfo style)
        {
            try
            {
                style.Control = control;
               
             
               base.OnDraw(g, clientRectangle, rowIndex, colIndex, style);
            }

            catch (Exception e)
            {
                Console.WriteLine("ERROR: " + e.Message);
            }
        }
    }
}
